<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from condnb_powcond.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="condnb_powcond" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>condnb_powcond</refname>
    <refpurpose>Computes the condition number of the pow function.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [c, y] = condnb_powcond(x, a)
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a n-by-m matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>a :</term>
      <listitem><para> a n-by-m matrix of doubles</para></listitem></varlistentry>
   <varlistentry><term>c :</term>
      <listitem><para> a n-by-m matrix of doubles, the condition number</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a n-by-m, matrix of doubles, the function values</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Computes the condition number of the pow function.
   </para>
   <para>
The condition number is:
   </para>
   <para>
<latex>
\begin{eqnarray}
c(x) = |a|
\end{eqnarray}
</latex>
   </para>
   <para>
The pow function has a large condition number if a is large.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Good condition
[c, y] = condnb_powcond(2, 5);

// Extremely bad condition
[c, y] = condnb_powcond(1.000000000000001, 1.e15);
expected = 2.718281828459043876 // With Mathematica

// Another one : http://bugzilla.scilab.org/show_bug.cgi?id=4048
y = 0.9999999999999999^-18014398509482000;
[c, y] = condnb_powcond(0.9999999999999999, -18014398509482000);
expected = 6.05836432903779269; // With XCAS

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, DIGITEO, 2010</member>
   </simplelist>
</refsection>
</refentry>
